> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useparagon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Record Created

> Record Created

## Subscribe

Send this request body to [Subscribe to a Trigger](/actionkit/triggers/api-reference/subscribe-to-trigger) to start listening for this event on behalf of your user:

```http Subscribe Request theme={null}
POST https://actionkit.useparagon.com/projects/{project_id}/trigger-subscriptions

Authorization: Bearer {Paragon User Token}
Content-Type: application/json

{
  "integration": "pipedrive",
  "type": "PIPEDRIVE_TRIGGER_RECORD_CREATED",
  "parameters": {
    "recordType": "activities",
    "triggerFilterFormula": {
      "operator": "OR",
      "conditions": [
        {
          "operator": "AND",
          "conditions": [
            {
              "field": "field",
              "operator": "$arrayIsEmpty",
              "value": "example-value"
            }
          ]
        }
      ]
    }
  }
}
```

**Configuration options:**

<ParamField path="recordType" type="ENUM" required>
  Record Type

  * Allowed values: `activities`, `activities_v2`, `deals`, `deals_v2`, `organizations`, `organizations_v2`, `persons`, `persons_v2`, `notes`
  * Options can be loaded by using the `cacheObjectTypes` key. Learn more in [User Configuration](/actionkit/triggers/user-configuration).
</ParamField>

<ParamField path="triggerFilterFormula" type="CONDITIONAL">
  Only trigger on records that match these filters.

  * Supported filter fields are loaded from `cacheObjectFields` after selecting `recordType`.
  * Supported operators: `$arrayIsEmpty`, `$arrayIsNotEmpty`, `$booleanFalse`, `$booleanTrue`, `$dateTimeAfter`, `$dateTimeBefore`, `$dateTimeEquals`, `$isUndefinedOrNull`, `$isNotUndefinedOrNull`, `$exists`, `$doesNotExist`, `$numberDoesNotEqual`, `$numberEquals`, `$numberGreaterThan`, `$numberLessThan`, `$stringContains`, `$stringDoesNotContain`, `$stringDoesNotEndWith`, `$stringDoesNotExactlyMatch`, `$stringDoesNotStartWith`, `$stringEndsWith`, `$stringExactlyMatches`, `$stringIsIn`, `$stringIsNotIn`, `$stringStartsWith`
</ParamField>
